package de.hsma;

import java.util.LinkedHashMap;
import java.util.Map;

public class UniqueItemsSimple {

    public static void main(String[] args) {
        String[] items = {"A", "C", "D", "C", "B", "A", "P", "P"};

        // ein Set würde auch gehen
        Map<String, Integer> unique = new LinkedHashMap<>();
        for(String item : items) {
            if(!unique.containsKey(item)) {
                unique.put(item, 0);
            }

            unique.put(item, unique.get(item) + 1); // optional
        }

        System.out.println(unique.size());
    }
}
